Bug 132910 - s-ata crashes machine
s-ata crashes machine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 09:05 EDT by David
Modified: 2013-07-02 22:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David 2004-09-19 09:05:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Linux appel1 2.6.8-1.521 #1 Mon Aug 16 09:01:00 EDT 2004 x86_64 x86_64
x86_64 GNU/Linux
                                                                     
          
Error with S-ATA: machine hangs after a while with this message:
                                                                     
          
ata1: command 0x35 timeout, stat 0x58 host_stat 0x1
scsi0: ERROR on channel 0, id 0, lun 0, CDB: Write (10) 00 08 46 95 f5
00 04 00 00
Current sda: sense key Medium Error
Additional sense: Write error - auto reallocation failed
end_request: I/O error, dev sda, sector
138843637
ATA: abnormal status 0x58 on port 0xFFFFFF000003B087
                                                                     
          
Could this be related to writing large files (> 16 Gb)?

Will try with older kernel kernel-2.6.7-1.494.2.2 now.
                                                                     
          


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1.boot
2.run disk-intensive program (quantum chemistry)
3.
    

Actual Results:  The machine hangs with the above message (after a day
or so). The disk LED is lit when this happens

Expected Results:  Nothing!

Additional info:
Comment 1 David 2004-11-11 09:10:53 EST
Machine was freshly reinstalled with Fedora Core 3, updated to latest
patches. After a day of calculations a similar thing happens, running
kernel 2.6.9-1.667. The machine can be pinged but one cannot log in on
the console. The error message is:
ata1: command 0x35 timeout, stat 0xd0 host_stat 0x61
ata1: status=0xd0 { Busy }
SCSI error : <0 0 0 0> return code = 0x8000002
EOM ILI Current sda: sense = 70 69
ASC=62 ASCQ=61
end_request: I/O error, dev sda, sector 157910725 (varying number here!)
ATA: abnormal status 0xD0 on port 0xFFFFFF000001Co87
Comment 2 Jeff Garzik 2005-03-25 02:36:44 EST
Hardware info?  lspci?  full dmesg?
Comment 3 Dave Jones 2005-04-16 00:47:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.